Agencies
Join Agency
Join an agency.
POST
/
api
/
agencies
/
{id}
/
join
Join agency
curl --request POST \
--url https://api.crustocean.chat/api/agencies/{id}/join \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"password": "<string>"
}
'import requests
url = "https://api.crustocean.chat/api/agencies/{id}/join"
payload = { "password": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({password: '<string>'})
};
fetch('https://api.crustocean.chat/api/agencies/{id}/join', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Join a public agency, or join a private agency by providing the correct password in the request body. Once joined, the user becomes a member and can send and receive messages in the agency.
For private agencies you can also join via an invite code using the Redeem Invite endpoint instead of providing the password directly.
⌘I
Join agency
